=== modified file 'ar_account/__init__.pyc'
Binary files ar_account/__init__.pyc and ar_account/__init__.pyc differ
=== modified file 'koi_account_query/__openerp__.py'
--- koi_account_query/__openerp__.py	2014-05-03 02:21:32 +0000
+++ koi_account_query/__openerp__.py	2014-05-14 16:48:45 +0000
@@ -30,7 +30,10 @@
     'images' : [],
     'depends' : [   'ar_account'
                 ],
-    'data' : [ ],
+    'data' : [
+                'report/query_cash_in_out.xml',
+                'menu/menu_Accounting.xml',
+                 ],
     'js' : [],
     'qweb' : [],
     'css' : [],

=== added directory 'koi_account_query/menu'
=== added file 'koi_account_query/menu/menu_Accounting.xml'
--- koi_account_query/menu/menu_Accounting.xml	1970-01-01 00:00:00 +0000
+++ koi_account_query/menu/menu_Accounting.xml	2014-05-14 16:48:45 +0000
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+        <menuitem
+            parent="account.menu_finance"
+            id="menu_account_queryHeader"
+            name="Queries"/>
+
+        <menuitem
+            parent="menu_account_queryHeader"
+            id="menu_account_queryBankCashHeader"
+            name="Bank &amp; Cash"/>
+
+        <menuitem
+            parent="menu_account_queryBankCashHeader"
+            id="menu_account_queryCashInOut"
+            name="Cash In/Out"
+            action="waction_account_queryCashInOut"/>
+
+
+
+    </data>
+</openerp>
+

=== modified file 'koi_account_query/report/query_cash_in_out.py'
--- koi_account_query/report/query_cash_in_out.py	2014-05-03 02:21:32 +0000
+++ koi_account_query/report/query_cash_in_out.py	2014-05-14 16:48:45 +0000
@@ -22,6 +22,7 @@
 import tools
 from osv import fields,osv
 from decimal_precision import decimal_precision as dp
+from lxml import etree
 
 
 class query_cash_in_out(osv.osv):
@@ -38,8 +39,9 @@
                 'journal_id' : fields.many2one(string='Journal', obj='account.journal'),
                 'partner_id' : fields.many2one(string='Partner', obj='res.partner'),
                 'period_id' : fields.many2one(string='Period', obj='account.period'),
-                'debit' : fields.float(string='Debit'),
-                'credit' : fields.float(string='Credit'),
+                'debit' : fields.float(string='Out'),
+                'credit' : fields.float(string='In'),
+                'state' : fields.selection(string='State', selection=[('draft','Unposted'),('posted','Posted')]),
                             
 
                             }
@@ -59,18 +61,57 @@
                                 A.partner_id AS partner_id,
                                 B.period_id AS period_id,
                                 A.debit AS debit,
-                                A.credit AS credit
+                                A.credit AS credit,
+                                B.state AS state
                         FROM account_move_line AS A
                         JOIN account_move AS B ON A.move_id = B.id
                         JOIN account_journal C ON B.journal_id = C.id
-                        WHERE   (C.type = 'cash' OR C.type = 'bank') AND
-                                B.state = 'posted'
+                        JOIN account_account D ON A.account_id = D.id
+                        WHERE   (C.type = 'cash') AND
+                                (D.type = 'other' OR D.type = 'receivable' or D.type = 'payable')
                     )
                     """
         
         
         cr.execute(strSQL)
 
+    def fields_view_get(self, cr, uid, view_id=None, view_type='form', context=None, toolbar=False, submenu=False):
+        obj_user = self.pool.get('res.users')
+        obj_journal = self.pool.get('account.journal')
+        obj_year = self.pool.get('account.fiscalyear')
+
+        user = obj_user.browse(cr, uid, [uid])[0]
+
+        res = super(query_cash_in_out, self).fields_view_get(cr, uid, view_id, view_type, context, toolbar, submenu)
+
+        if view_type == 'search':
+            doc = etree.XML(res['arch'])
+
+            for node in doc.xpath("//group[@name='group_1']"):
+                criteria = [('type','=','cash'),('company_id','=',user.company_id.id)]
+                journal_ids = obj_journal.search(cr, uid, criteria)
+
+                if journal_ids:
+                    for journal in obj_journal.browse(cr, uid, journal_ids):
+                        etree.SubElement(node, 'filter', string=journal.name, domain="[('journal_id','=',%s)]" % (journal.id))
+
+
+            for node in doc.xpath("//group[@name='group_2']"):
+                year_ids = obj_year.find(cr, uid)
+                if year_ids:
+                    fiscalyear = obj_year.browse(cr, uid, [year_ids])[0]
+                    
+                    if fiscalyear.period_ids:
+                        for period in fiscalyear.period_ids:
+                            etree.SubElement(node, 'filter', string=period.name, domain="[('period_id','=',%s)]" % (period.id))
+
+            res['arch'] = etree.tostring(doc)
+
+        return res
+
+
+
+
 query_cash_in_out()
 
 # vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'koi_account_query/report/query_cash_in_out.xml'
--- koi_account_query/report/query_cash_in_out.xml	1970-01-01 00:00:00 +0000
+++ koi_account_query/report/query_cash_in_out.xml	2014-05-14 16:48:45 +0000
@@ -0,0 +1,78 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+<data>
+
+    <record id="tree_account_queryCashInOut" model="ir.ui.view">
+        <field name="name">Tree Query Cash In/Out</field>
+        <field name="model">account.query_cash_in_out</field>
+        <field name="type">tree</field>
+        <field name="arch" type="xml">
+            <tree string="Query Cash In/Out">
+                <field name="name"/>
+                <field name="date"/>
+                <field name="move_id"/>
+                <field name="account_id"/>
+                <field name="partner_id"/>
+                <field name="company_id"/>
+                <field name="journal_id"/>
+                <field name="period_id"/>
+                <field name="debit"/>
+                <field name="credit"/>
+           </tree>
+        </field>
+    </record>
+
+    <record id="search_account_queryCashInOut" model="ir.ui.view">
+        <field name="name">Search Query Cash In/Out</field>
+        <field name="model">account.query_cash_in_out</field>
+        <field name="type">search</field>
+        <field name="arch" type="xml">
+            <search string="Query Cash In/Out">
+                    <field name="name"/>
+                    <field name="move_id"/>
+                    <field name="account_id"/>
+                    <field name="period_id"/>
+                    <field name="date" string="Date From" filter_domain="[('date','&gt;=',self)]"/>
+                    <field name="date" string="Date To" filter_domain="[('date','&lt;=',self)]"/>
+                    <filter name="unposted" string="Unposted" domain="[('state','=','draft')]"/>
+                    <filter name="posted" string="Posted" domain="[('state','=','posted')]"/>
+                    <filter name="all" string="All" domain="[('state','in',['posted','draft'])]"/>
+                <group name="group_1" string="Journal">
+
+                </group>
+                <group name="group_3" string="Group By...">
+					<filter string="# Move" domain="[]" context="{'group_by':'move'}"/>
+                    <filter string="Account" domain="[]" context="{'group_by':'account_id'}"/>
+                    <filter string="Partner" domain="[]" context="{'group_by':'partner_id'}"/>
+                    <filter string="Journal" domain="[]" context="{'group_by':'journal_id'}"/>
+                    <filter string="Period" domain="[]" context="{'group_by':'period_id'}"/>
+                </group>   
+                <group name="group_2" string="Period">
+
+                </group>
+
+
+             
+            </search>
+        </field>
+    </record>
+    
+		<record id="waction_account_queryCashInOut" model="ir.actions.act_window">
+			<field name="name">Query Cash In/Out</field>
+			<field name="type">ir.actions.act_window</field>
+			<field name="res_model">account.query_cash_in_out</field>
+			<field name="search_view_id" ref="search_account_queryCashInOut"/>
+			<field name="view_type">form</field>
+			<field name="view_mode">tree</field>
+            <field name="context">{'search_default_all':1}</field>
+		</record>
+		
+		<record id="wactionView_account_treeQueryCashInOut" model="ir.actions.act_window.view">
+			<field eval="10" name="sequence"/>
+			<field name="view_mode">tree</field>
+			<field name="view_id" ref="tree_account_queryCashInOut"/>
+			<field name="act_window_id" ref="waction_account_queryCashInOut"/>
+		</record>    
+
+</data>
+</openerp>

=== added directory 'koi_account_query/view'
